Package org.apache.lucene.analysis.miscellaneous

## Class ConcatenateGraphFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.ConcatenateGraphFilterFactory

-     public class ConcatenateGraphFilterFactory
      extends TokenFilterFactory

  Factory for `ConcatenateGraphFilter`.
  - `preserveSep`: For lucene versions lesser than `Version.LUCENE_8_4_0` Whether `ConcatenateGraphFilter.SEP_LABEL` should separate the input tokens in the concatenated token
  - `tokenSeparator`: Separator to use for concatenation. If not present, `ConcatenateGraphFilter.DEFAULT_TOKEN_SEPARATOR` will be used. If empty, tokens will be concatenated without any separators.
  - `preservePositionIncrements`: Whether to add an empty token for missing positions. The effect is a consecutive `ConcatenateGraphFilter.SEP_LABEL`. When false, it's as if there were no missing positions (we pretend the surrounding tokens were adjacent).
  - `maxGraphExpansions`: If the tokenStream graph has more than this many possible paths through, then we'll throw `TooComplexToDeterminizeException` to preserve the stability and memory of the machine.
  Since:
    7.4.0
  See Also:
    `ConcatenateGraphFilter`
  SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
    "concatenateGraph"

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` | SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConcatenateGraphFilterFactory()` | Default ctor for compatibility with SPI
    `ConcatenateGraphFilterFactory​(Map<String,​String> args)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TokenStream` | `create​(TokenStream input)` |
    `protected Character` | `getCharacter​(Map<String,​String> args, String name, Character defaultVal)` |

    - ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

      `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConcatenateGraphFilterFactory

          public ConcatenateGraphFilterFactory​(Map<String,​String> args)

    - #### ConcatenateGraphFilterFactory

          public ConcatenateGraphFilterFactory()

      Default ctor for compatibility with SPI

  - ### Method Detail

    - #### create

          public TokenStream create​(TokenStream input)

      Specified by:
        `create` in class `TokenFilterFactory`

    - #### getCharacter

          protected Character getCharacter​(Map<String,​String> args,
                                           String name,
                                           Character defaultVal)